<p><a href="<?php echo preg_replace('/&wpzstore-page=[^&]*/', '', $_SERVER['REQUEST_URI']) . '&wpzstore-page=docs'; ?>" title="Check the documentation, it's always a good idea!">Read the documentation</a></p>
<form name="zstore_helper_options" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
  <input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">
  <h3>Global Options</h3>
  <p>These options are global options. That means they apply to all pages that use the store builder. They form the basis for each store that you create. If you wish to over-ride any option you can by using shortcode attributes. For more on that check out the <a href="<?php echo preg_replace('/&wpzstore-page=[^&]*/', '', $_SERVER['REQUEST_URI']) . '&wpzstore-page=docs'; ?>" title="Check the documentation, it's always a good idea!">documentation</a>.</p>
  <table class="form-table">
    <tbody>
      <tr>
        <th>Contributor Handle:<br />
        <small>Your Zazzle Username</small></th>
        <td><input type="text" name="zstore_options[<?php echo $opt_name['contributorHandle']; ?>]" value="<?php echo $opt_val['contributorHandle']; ?>" /></td>
      </tr>
      <tr>
      	<th>Associate ID:<br />
        <small>Used for product referrals</small></th>
        <td><input type="text" name="zstore_options[<?php echo $opt_name['associateId']; ?>]" value="<?php echo $opt_val['associateId']; ?>" /></td>
      </tr>
      <tr>
      	<th>Product Line ID:<br />
        <small>Refer to <a href="<?php echo preg_replace('/&wpzstore-page=[^&]*/', '', $_SERVER['REQUEST_URI']) . '&wpzstore-page=docs'; ?>" title="Check the documentation, it's always a good idea!">documentation</a></small></th>
        <td><input type="text" name="zstore_options[<?php echo $opt_name['productLineId']; ?>]" value="<?php echo $opt_val['productLineId']; ?>" /></td>
      </tr>
      <tr>
      	<th>Product Type:</th>
        <td>
        <select name="zstore_options[<?php echo $opt_name['productType']; ?>]">
				<option value="" <?php echo ($opt_val['productType'] == '') ? 'selected="selected"' : '' ?>>Show All</option>
				<option value="zazzle_apron" <?php echo ($opt_val['productType'] == 'zazzle_apron') ? 'selected="selected"' : '' ?>>Aprons</option>
				<option value="bagettes_bag" <?php echo ($opt_val['productType'] == 'bagettes_bag') ? 'selected="selected"' : '' ?>>Bagettes Bag</option>
				<option value="zazzle_bag" <?php echo ($opt_val['productType'] == 'zazzle_bag') ? 'selected="selected"' : '' ?>>Bags</option>
				<option value="zazzle_binder" <?php echo ($opt_val['productType'] == 'zazzle_binder') ? 'selected="selected"' : '' ?>>Binders</option>
				<option value="zazzle_bumpersticker" <?php echo ($opt_val['productType'] == 'zazzle_bumpersticker') ? 'selected="selected"' : '' ?>>Bumper Stickers</option>
				<option value="zazzle_button" <?php echo ($opt_val['productType'] == 'zazzle_button') ? 'selected="selected"' : '' ?>>Buttons</option>
				<option value="zazzle_calendar" <?php echo ($opt_val['productType'] == 'zazzle_calendar') ? 'selected="selected"' : '' ?>>Calendars</option>
				<option value="zazzle_card" <?php echo ($opt_val['productType'] == 'zazzle_card') ? 'selected="selected"' : '' ?>>Cards</option>
				<option value="zazzle_candyjar" <?php echo ($opt_val['productType'] == 'zazzle_candyjar') ? 'selected="selected"' : '' ?>>Candy Jar</option>
				<option value="caseable_case" <?php echo ($opt_val['productType'] == 'caseable_case') ? 'selected="selected"' : '' ?>>Caseable Cases</option>
				<option value="casemate_case" <?php echo ($opt_val['productType'] == 'casemate_case') ? 'selected="selected"' : '' ?>>Casemate Cases</option>
				<option value="zazzle_coaster" <?php echo ($opt_val['productType'] == 'zazzle_coaster') ? 'selected="selected"' : '' ?>>Coasters</option>
				<option value="fuji_coaster" <?php echo ($opt_val['productType'] == 'fuji_coaster') ? 'selected="selected"' : '' ?>>Cork Coasters</option>
				<option value="musicskins_skin" <?php echo ($opt_val['productType'] == 'musicskins_skin') ? 'selected="selected"' : '' ?>>Custom Skins</option>
				<option value="zazzle_doodle" <?php echo ($opt_val['productType'] == 'zazzle_doodle') ? 'selected="selected"' : '' ?>>Doodle Speaker</option>
				<option value="fuji_electronicsbag" <?php echo ($opt_val['productType'] == 'fuji_electronicsbag') ? 'selected="selected"' : '' ?>>Electronics Bags</option>
				<option value="zazzle_embroideredbag" <?php echo ($opt_val['productType'] == 'zazzle_embroideredbag') ? 'selected="selected"' : '' ?>>Embroidered Bags</option>
				<option value="zazzle_embroideredhat" <?php echo ($opt_val['productType'] == 'zazzle_embroideredhat') ? 'selected="selected"' : '' ?>>Embroidered Hats</option>
				<option value="zazzle_embroideredshirt" <?php echo ($opt_val['productType'] == 'zazzle_embroideredshirt') ? 'selected="selected"' : '' ?>>Embroidered Shirts</option>
				<option value="zazzle_envelope" <?php echo ($opt_val['productType'] == 'zazzle_envelope') ? 'selected="selected"' : '' ?>>Envelopes</option>
				<option value="zazzle_flyer" <?php echo ($opt_val['productType'] == 'zazzle_flyer') ? 'selected="selected"' : '' ?>>Flyers</option>
				<option value="167" <?php echo ($opt_val['productType'] == '167') ? 'selected="selected"' : '' ?> disabled="disabled">Future Shoes (N/A)</option>
				<option value="fuji_mousepad" <?php echo ($opt_val['productType'] == 'fuji_mousepad') ? 'selected="selected"' : '' ?>>Gel Mousepads</option>
				<option value="zazzle_giftbox" <?php echo ($opt_val['productType'] == 'zazzle_giftbox') ? 'selected="selected"' : '' ?>>Gift Boxes</option>
				<option value="zazzle_hat" <?php echo ($opt_val['productType'] == 'zazzle_hat') ? 'selected="selected"' : '' ?>>Hats</option>
				<option value="zazzle_invitation" <?php echo ($opt_val['productType'] == 'zazzle_invitation') ? 'selected="selected"' : '' ?>>Invitations</option>
				<option value="zazzle_speckcase" <?php echo ($opt_val['productType'] == 'zazzle_speckcase') ? 'selected="selected"' : '' ?>>iPad/iPhone Cases</option>
				<option value="zazzle_keychain" <?php echo ($opt_val['productType'] == 'zazzle_keychain') ? 'selected="selected"' : '' ?>>Keychains</option>
				<option value="mojo_kitchentowel" <?php echo ($opt_val['productType'] == 'mojo_kitchentowel') ? 'selected="selected"' : '' ?>>Kitchen Towels</option>
				<option value="zazzle_label" <?php echo ($opt_val['productType'] == 'zazzle_label') ? 'selected="selected"' : '' ?>>Labels</option>
				<option value="zazzle_letterhead" <?php echo ($opt_val['productType'] == 'zazzle_letterhead') ? 'selected="selected"' : '' ?>>Letterhead</option>
				<option value="zazzle_magnet" <?php echo ($opt_val['productType'] == 'zazzle_magnet') ? 'selected="selected"' : '' ?>>Magnets</option>
				<option value="zazzle_mousepad" <?php echo ($opt_val['productType'] == 'zazzle_mousepad') ? 'selected="selected"' : '' ?>>Mousepads</option>
				<option value="zazzle_mug" <?php echo ($opt_val['productType'] == 'zazzle_mug') ? 'selected="selected"' : '' ?>>Mugs</option>
				<option value="mojo_napkin" <?php echo ($opt_val['productType'] == 'mojo_napkin') ? 'selected="selected"' : '' ?>>Napkins</option>
				<option value="zazzle_necklace" <?php echo ($opt_val['productType'] == 'zazzle_necklace') ? 'selected="selected"' : '' ?>>Necklaces</option>
				<option value="fuji_notebook" <?php echo ($opt_val['productType'] == 'fuji_notebook') ? 'selected="selected"' : '' ?>>Notebooks</option>
				<option value="fuji_notepad" <?php echo ($opt_val['productType'] == 'fuji_notepad') ? 'selected="selected"' : '' ?>>Notepads</option>
				<option value="zazzle_ornament" <?php echo ($opt_val['productType'] == 'zazzle_ornament') ? 'selected="selected"' : '' ?>>Ornaments</option>
				<option value="zazzle_petshirt" <?php echo ($opt_val['productType'] == 'zazzle_petshirt') ? 'selected="selected"' : '' ?>>Pet Apparel</option>
				<option value="zazzle_petbowl" <?php echo ($opt_val['productType'] == 'zazzle_petbowl') ? 'selected="selected"' : '' ?>>Pet Bowl</option>
				<option value="zazzle_photocard" <?php echo ($opt_val['productType'] == 'zazzle_photocard') ? 'selected="selected"' : '' ?>>Photo Cards</option>
				<option value="zazzle_photoenlargement" <?php echo ($opt_val['productType'] == 'zazzle_photoenlargement') ? 'selected="selected"' : '' ?>>Photo Enlargement</option>
				<option value="fuji_plaque" <?php echo ($opt_val['productType'] == 'fuji_plaque') ? 'selected="selected"' : '' ?>>Photo Plaques</option>
				<option value="zazzle_photoprint" <?php echo ($opt_val['productType'] == 'zazzle_photoprint') ? 'selected="selected"' : '' ?>>Photo Prints</option>
				<option value="zazzle_photosculpture" <?php echo ($opt_val['productType'] == 'zazzle_photosculpture') ? 'selected="selected"' : '' ?>>Photo Sculptures</option>
				<option value="zazzle_pitcher" <?php echo ($opt_val['productType'] == 'zazzle_pitcher') ? 'selected="selected"' : '' ?>>Pitcher</option>
				<option value="mojo_placemat" <?php echo ($opt_val['productType'] == 'mojo_placemat') ? 'selected="selected"' : '' ?>>Placemats</option>
				<option value="fuji_plate" <?php echo ($opt_val['productType'] == 'fuji_plate') ? 'selected="selected"' : '' ?>>Plates</option>
				<option value="zazzle_stamp" <?php echo ($opt_val['productType'] == 'zazzle_stamp') ? 'selected="selected"' : '' ?>>Postage</option>
				<option value="zazzle_postcard" <?php echo ($opt_val['productType'] == 'zazzle_postcard') ? 'selected="selected"' : '' ?>>Postcards</option>
				<option value="zazzle_print" <?php echo ($opt_val['productType'] == 'zazzle_print') ? 'selected="selected"' : '' ?>>Poster Prints</option>
				<option value="planetjill_giftbox" <?php echo ($opt_val['productType'] == 'planetjill_giftbox') ? 'selected="selected"' : '' ?>>Premium Gift Boxes</option>
				<option value="fuji_fleximagnet" <?php echo ($opt_val['productType'] == 'fuji_fleximagnet') ? 'selected="selected"' : '' ?>>Premium Magnets</option>
				<option value="zazzle_profilecard" <?php echo ($opt_val['productType'] == 'zazzle_profilecard') ? 'selected="selected"' : '' ?>>Profile Cards</option>
				<option value="fuji_puzzle" <?php echo ($opt_val['productType'] == 'fuji_puzzle') ? 'selected="selected"' : '' ?>>Puzzles</option>
				<option value="zazzle_rackcard" <?php echo ($opt_val['productType'] == 'zazzle_rackcard') ? 'selected="selected"' : '' ?>>Rackcards</option>
				<option value="rickshaw_flapsleeve" <?php echo ($opt_val['productType'] == 'rickshaw_flapsleeve') ? 'selected="selected"' : '' ?>>Rickshaw Flap Sleeves</option>
				<option value="rickshaw_folio" <?php echo ($opt_val['productType'] == 'rickshaw_folio') ? 'selected="selected"' : '' ?>>Rickshaw Folio</option>
				<option value="rickshaw_messengerbag" <?php echo ($opt_val['productType'] == 'rickshaw_messengerbag') ? 'selected="selected"' : '' ?>>Rickshaw Messenger Bag</option>
				<option value="rickshaw_sleeve" <?php echo ($opt_val['productType'] == 'rickshaw_sleeve') ? 'selected="selected"' : '' ?>>Rickshaw Sleeve</option>
				<option value="zazzle_skateboard" <?php echo ($opt_val['productType'] == 'zazzle_skateboard') ? 'selected="selected"' : '' ?>>Skateboards</option>
				<option value="zazzle_specialitymug" <?php echo ($opt_val['productType'] == 'zazzle_specialitymug') ? 'selected="selected"' : '' ?>>Speciality Mugs</option>
				<option value="zazzle_stationery" <?php echo ($opt_val['productType'] == 'zazzle_stationery') ? 'selected="selected"' : '' ?>>Stationary</option>
				<option value="zazzle_sticker" <?php echo ($opt_val['productType'] == 'zazzle_sticker') ? 'selected="selected"' : '' ?>>Stickers</option>
				<option value="zazzle_teapot" <?php echo ($opt_val['productType'] == 'zazzle_teapot') ? 'selected="selected"' : '' ?>>Teapots</option>
				<option value="zazzle_tie" <?php echo ($opt_val['productType'] == 'zazzle_tie') ? 'selected="selected"' : '' ?>>Ties</option>
				<option value="zazzle_tile" <?php echo ($opt_val['productType'] == 'zazzle_tile') ? 'selected="selected"' : '' ?>>Tiles</option>
				<option value="mojo_throwpillow" <?php echo ($opt_val['productType'] == 'mojo_throwpillow') ? 'selected="selected"' : '' ?>>Throw Pillows</option>
				<option value="zazzle_shirt" <?php echo ($opt_val['productType'] == 'zazzle_shirt') ? 'selected="selected"' : '' ?>>T-Shirts</option>
				<option value="libertybottle_bottle" <?php echo ($opt_val['productType'] == 'libertybottle_bottle') ? 'selected="selected"' : '' ?>>Water Bottles</option>
				<option value="zazzle_wrappedcanvas" <?php echo ($opt_val['productType'] == 'zazzle_wrappedcanvas') ? 'selected="selected"' : '' ?>>Wrapped Canvas</option>
        </select>
        </td>
      </tr>
      <tr>
      	<th>Keywords:<br />
        <small>Restrict products by keyword,<br /> must be comma seperated.<br /> Eg. Cat, star</small></th>
        <td><input type="text" name="zstore_options[<?php echo $opt_name['keywords']; ?>]" value="<?php echo $opt_val['keywords']; ?>" /></td>
      </tr>
      <tr>
      	<th>Grid Width:<br />
        <small>How wide the product grid will be.<br /> In pixels, but without px. Eg. 500</small></th>
        <td><input type="text" name="zstore_options[<?php echo $opt_name['gridWidth']; ?>]" value="<?php echo $opt_val['gridWidth']; ?>" /></td>
      </tr>
       <tr>
      	<th>Grid Cell Size:<br />
        <small>The size of each product cell.</small></th>
        <td>
        <select name="zstore_options[<?php echo $opt_name['gridCellSize']; ?>]">
        	<option value="tiny" <?php echo ($opt_val['gridCellSize'] == 'tiny') ? 'selected="selected"' : '' ?>>Tiny</option>
            <option value="small" <?php echo ($opt_val['gridCellSize'] == 'small') ? 'selected="selected"' : '' ?>>Small</option>
            <option value="medium" <?php echo ($opt_val['gridCellSize'] == 'medium') ? 'selected="selected"' : '' ?>>Medium</option>
            <option value="large" <?php echo ($opt_val['gridCellSize'] == 'large') ? 'selected="selected"' : '' ?>>Large</option>
            <option value="huge" <?php echo ($opt_val['gridCellSize'] == 'huge') ? 'selected="selected"' : '' ?>>Huge</option>
        </select>
        </td>
      </tr>
      <tr>
      	<th>Grid Cell Spacing:<br />
        <small>Gap between each product cell.<br /> In pixels, but without px. Eg. 10</small></th>
        <td><input type="text" name="zstore_options[<?php echo $opt_name['gridCellSpacing']; ?>]" value="<?php echo $opt_val['gridCellSpacing']; ?>" /></td>
      </tr>
      <tr>
      	<th>Grid Cell Background Color:<br />
        <small>Background color for products.<br /> In HEX. Eg. FFFFFF is White.</small></th>
        <td><input type="text" name="zstore_options[<?php echo $opt_name['gridCellBgColor']; ?>]" value="<?php echo $opt_val['gridCellBgColor']; ?>" /></td>
      </tr>
      <tr>
      	<th>Use Google Analytics:<br />
        <small>If you have a Analytics account change to true.</small></th>
        <td>
        <select name="zstore_options[<?php echo $opt_name['useAnalytics']; ?>]">
        	<option value="false" <?php echo ($opt_val['useAnalytics'] == 'false') ? 'selected="selected"' : '' ?>>False</option>
            <option value="true" <?php echo ($opt_val['useAnalytics'] == 'true') ? 'selected="selected"' : '' ?>>True</option>
        </select>
        </td>
      </tr>
      <tr>
      	<th>Google Analytics Number:<br />
        <small>Looks like: UA-xxxxxxx-x</small></th>
        <td><input type="text" name="zstore_options[<?php echo $opt_name['analyticsId']; ?>]" value="<?php echo $opt_val['analyticsId']; ?>" /></td>
      </tr>
      <tr>
      	<th>Show How Many Products:<br />
        <small>How many products per page.</small></th>
        <td><input type="text" name="zstore_options[<?php echo $opt_name['showHowMany']; ?>]" value="<?php echo $opt_val['showHowMany']; ?>" /></td>
      </tr>
      <tr>
      	<th>Starting Page:<br />
        <small>Which page should your product list start on.</small></th>
        <td><input type="text" name="zstore_options[<?php echo $opt_name['startPage']; ?>]" value="<?php echo $opt_val['startPage']; ?>" /></td>
      </tr>
      <tr>
      	<th>Show Pagination:<br />
        <small>Show a paging system.</small></th>
        <td>
        <select name="zstore_options[<?php echo $opt_name['showPagination']; ?>]">
        	<option value="false" <?php echo ($opt_val['showPagination'] == 'false') ? 'selected="selected"' : '' ?>>False</option>
            <option value="true" <?php echo ($opt_val['showPagination'] == 'true') ? 'selected="selected"' : '' ?>>True</option>
        </select>
        </td>
      </tr>
      <tr>
      	<th>Show Sorting:<br />
        <small>Should the products be sorted.</small></th>
        <td>
        <select name="zstore_options[<?php echo $opt_name['showSorting']; ?>]">
        	<option value="false" <?php echo ($opt_val['showSorting'] == 'false') ? 'selected="selected"' : '' ?>>False</option>
            <option value="true" <?php echo ($opt_val['showSorting'] == 'true') ? 'selected="selected"' : '' ?>>True</option>
        </select>
        </td>
      </tr>
      <tr>
      	<th>Default Sorting:<br />
        <small>How should the products be sorted.</small></th>
        <td>
        <select name="zstore_options[<?php echo $opt_name['defaultSort']; ?>]">
        	<option value="date_created" <?php echo ($opt_val['defaultSort'] == 'date_created') ? 'selected="selected"' : '' ?>>Date Created</option>
            <option value="popularity" <?php echo ($opt_val['defaultSort'] == 'popularity') ? 'selected="selected"' : '' ?>>Popularity</option>
        </select>
        </td>
      </tr>
      <tr>
      	<th>Show Product Description:<br />
        <small>Should the products description be shown.</small></th>
        <td>
        <select name="zstore_options[<?php echo $opt_name['showProductDescription']; ?>]">
        	<option value="false" <?php echo ($opt_val['showProductDescription'] == 'false') ? 'selected="selected"' : '' ?>>False</option>
            <option value="true" <?php echo ($opt_val['showProductDescription'] == 'true') ? 'selected="selected"' : '' ?>>True</option>
        </select>
        </td>
      </tr>
      <tr>
      	<th>Show 'By' Line:<br />
        <small>Should the product creator be shown.</small></th>
        <td>
        <select name="zstore_options[<?php echo $opt_name['showByLine']; ?>]">
        	<option value="false" <?php echo ($opt_val['showByLine'] == 'false') ? 'selected="selected"' : '' ?>>False</option>
            <option value="true" <?php echo ($opt_val['showByLine'] == 'true') ? 'selected="selected"' : '' ?>>True</option>
        </select>
        </td>
      </tr>
      <tr>
      	<th>Show Product Title:<br />
        <small>Should the products title be shown.</small></th>
        <td>
        <select name="zstore_options[<?php echo $opt_name['showProductTitle']; ?>]">
        	<option value="false" <?php echo ($opt_val['showProductTitle'] == 'false') ? 'selected="selected"' : '' ?>>False</option>
            <option value="true" <?php echo ($opt_val['showProductTitle'] == 'true') ? 'selected="selected"' : '' ?>>True</option>
        </select>
        </td>
      </tr>
      <tr>
      	<th>Show Product Price:<br />
        <small>Should the products price be shown.</small></th>
        <td>
        <select name="zstore_options[<?php echo $opt_name['showProductPrice']; ?>]">
        	<option value="false" <?php echo ($opt_val['showProductPrice'] == 'false') ? 'selected="selected"' : '' ?>>False</option>
            <option value="true" <?php echo ($opt_val['showProductPrice'] == 'true') ? 'selected="selected"' : '' ?>>True</option>
        </select>
        </td>
      </tr>
       <tr>
      	<th>Enable Caching:<br />
        <small>Should the Zstore cache be enabled.</small></th>
        <td>
        <select name="zstore_options[<?php echo $opt_name['useCaching']; ?>]">
        	<option value="false" <?php echo ($opt_val['useCaching'] == 'false') ? 'selected="selected"' : '' ?>>False</option>
            <option value="true" <?php echo ($opt_val['useCaching'] == 'true') ? 'selected="selected"' : '' ?>>True</option>
        </select>
        </td>
      </tr>
      <tr>
      	<th>Cache Lifetime:<br />
        <small>How long, in seconds, before the cache is refreshed.</small></th>
        <td><input type="text" name="zstore_options[<?php echo $opt_name['cacheLifetime']; ?>]" value="<?php echo $opt_val['cacheLifetime']; ?>" /></td>
      </tr>
    </tbody>
  </table>
  <p class="submit">
    <input type="submit" name="zstore_options[Submit]" value="<?php _e('Update Options', 'zstore_trans_domain' ) ?>" />
  </p>
</form>
